
body {
    touch-action: pan-y;
}

#filter-container {
    min-height: 40px;
    margin-top: -20px;
    margin-bottom: 30px;
}
.navbar-sub.sub-pills > li > span {
    line-height: 30px;
}
.navbar-sub.sub-pills > li > a {
    font-size: 12px;
    padding: 5px 14px;
}
.navbar-sub.sub-pills > li.divider {
    width: 1px;
    height: 1.5em;
    padding: 0;
    margin: 0.5em;
    overflow: hidden;
    background-color: #e5e5e5;
}

.box-content-extends .pagination {
    margin: 15px 0;
}
.title .subtitle {
    color: #bcbcbc;
    margin-left: 8px;
}


.post-list {
    padding: 0;
    display: flex;
    flex-flow: wrap;
}
.post-list-item {
    width: 100%;
    border-bottom: 1px solid #f3f3f3;
    border-right: 1px solid #f3f3f3;
    box-shadow: -1px 0px 0px #f3f3f3;
    margin-bottom: -1px;
    transition: box-shadow .3s;
    position: relative;
}
.post-item-1 .post-list-item {
    width: 25%;
}
.post-list-item:hover {
    box-shadow: 0 0 36px rgb(0 0 0 / 3%);
    transition: box-shadow .3s;
}

.post-list-item .item-inner {
    margin: 15px;
    overflow: hidden;
}
.post-list-item .item-inner a {
    color: inherit;
    text-decoration: none;
    vertical-align: top;
    word-break: break-all;
}
.post-list-item .post-thumb-box {
    position: relative;
    height: 0;
    overflow: hidden;
    padding-top: 62.5%;
}
.post-list-item .post-thumb-box > a {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}
.post-list-item .post-thumb {
    display: block;
    max-width: 100%;
    max-height: 100%;
    background-color: #f3f3f3;
    width: 100%;
    height: 100%;
    object-fit: cover;
    vertical-align: bottom;
}
.post-list-item .post-thumb.lazy {
    opacity: .6;
    transition: opacity .5s ease-in-out;
}
.post-list-item .post-thumb.loaded {
    opacity: 1;
    transition: opacity .5s ease-in-out;
}


.post-list-item .post-meta-box {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: absolute;
    transform: translate(0);
    padding: 6px;
    color: #fff;
    background: rgba(0, 0, 0, 0.25);
    width: 100%;
    transition: transform .3s,background-color .3s ease-out;
}
.post-list-item:hover .post-meta-box {
    transform: translate(0,-32px);
    transition: transform .3s,background-color .3s ease-out;
}
.post-list-item:hover .item-inner h2 a {
    color: #333;
}
.post-list-item:hover .item-inner img {
    opacity: 0.85;
}
.post-list-item .post-meta {
    display: flex;
    font-size: 12px;
    align-items: center;
    padding: 0;
    margin: 0;
    list-style: none;
}
.post-list-item .post-meta li {
    padding-right: 5px;
    list-style: none;
}
.post-list-item .post-meta li span, .post-meta li span {
    background-color: transparent;
    height: 19px;
    display: inline-block;
    line-height: 19px;
    padding: 0 5px;
    border-radius: 3px;
    color: #fff;
}
.post-list-item .post-cate {
    font-size: 12px;
    border-radius: 5px;
}
.post-list-item a.post-cate-item {
    padding: 0 5px;
    height: 20px;
    line-height: 20px;
    border-radius: 3px;
    text-shadow: 0 1px 0 rgb(0 0 0 / 20%);
}
.post-list-item .post-meta-box .post-cate a:first-child {
    display: block;
}

.post-list-item .post-info {
    padding-top: 10px;
}
.post-list-item .post-info h2 {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    overflow: hidden;
    font-size: 13px;
    font-weight: 500;
    line-height: 18px;
    height: 34px;
    margin: 0;
    padding: 0;
}
.post-list-item .list-footer {
    display: flex;
    font-size: 12px;
    justify-content: space-between;
    align-items: center;
    padding-top: 5px;
    margin-top: 10px;
    border-top: 1px solid #fafafa;
}
.post-list-item .list-footer span {
    font-size: 12px;
    color: #ccc;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
.post-list-item .list-footer span.post-tag {
    border: 1px solid #ddd;
    border-radius: 4px;
    font-size: 11px;
    height: 18px;
    padding: 0 4px;
}
.post-list-item .list-footer span.post-tag:empty {
    display: none;
}
.post-list-item:hover .list-footer span.post-tag[data-rating="0"] {
    border-color: #1da362;
    color: #1da362;
}
.post-list-item:hover .list-footer span.post-tag[data-rating="1"] {
    border-color: #3b96fc;
    color: #3b96fc;
}
.post-list-item:hover .list-footer span.post-tag[data-rating="3"] {
    border-color: #f54b64;
    color: #f54b64;
}
.post-list-item:hover .list-footer span.post-tag[data-rating="5"] {
    border-color: #f7c3a7;
    color: #f7c3a7;
}
.post-list-item .list-footer .badge {
    color: #fff;
    background-color: #f55;
    opacity: 0.95;
    position: absolute;
    top: 20px;
    right: 20px;
}

@media screen and (max-width: 768px) {
.post-item-1 .post-list-item {
    width: 50%!important;
}
.post-list-item .item-inner {
    margin: 10px;
}
.post-list-item .post-info h2 {
    font-size: 12px;
    font-weight: 600;
    line-height: 16px;
    height: 32px;
}
}

ul.navbar-sub li .badge {
    position: absolute;
    transform: scale(0.85);
    top: -6px;
    right: -12px;
    background-color: rgba(255,85,85,1);
}



.thumb-container .cover-bg {
    background-color: #909090;
    opacity: 0.3;
    filter: blur(20px);
    transform: scale(1.1);
}
.entry-data-box dl {
    margin: 5px 0 0 0;
    font-size: 12px;
    line-height: 1.2;
}
.entry-data-box dl:first-child {
    margin-top: 0;
}
.entry-data-box dt {
    flex: 1;
}
.entry-data-box dd {
    float: right;
}
.m-player .mplayer-footer .progress  {
    height: auto;
    margin-bottom: auto;
    background-color: transparent;
    border-radius: none;
    box-shadow: none;
}
.charaslist {
    font-size: 12px;
    padding: 6px;
    margin: 6px 0 0;
    border: 1px solid #ddd;
    border-radius: 4px;
    background-color: #fafafa;
}
.charaslist > span {
    padding: 2px 6px;
    margin: 0 2px 4px 0;
    line-height: 14px;
    border: 1px solid transparent;
    border-radius: 6px;
    cursor: pointer;
}
.charaslist > span:before {
    content: "";
    position: relative;
    height: 10px;
    width: 10px;
    display: inline-block;
    border-radius: 50%;
    background-color: #ddd;
    margin-right: 3px;
}
.charaslist > span.selected:before {
    background-color: #f55;
}
.charaslist > span:hover {
    border: 1px solid #ddd;
}
.gallery-tag {
    margin: 5px 5px 0 0;
    color: #999;
    font-size: 12px;
    line-height: 18px;
    padding: 2px 6px;
    border: 1px solid #ddd;
    border-radius: 8px;
    cursor: pointer;
    display: inline-block;
}
.gallery-tag:hover {
    color: #555;
}
.image-container {
    width: 100%;
    height: 100%;
}
.image-container img {
    max-width: 100%;
    margin: 0 auto;
    object-fit: contain;
}
.dplayer.dplayer-fulled {
    position: fixed !important;
}

.aplayer-panel {
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    height: 50px;
    margin: auto;
    user-select: none;
    color: #333;
    background-color: rgba(255,255,255,.45);
    backdrop-filter: blur(3px);
    border-top: 1px solid #e3e3e3;
    z-index: 999;
    display: flex;
}
.aplayer-panel .ap-item {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0 10px;
}
.aplayer-panel .ap--track {
    flex: 1;
}

.aplayer-panel .ap-info {
    width: 100%;
    position: relative;
    align-self: flex-start;
    padding: 8px 0 0;
}
.aplayer-panel .ap-title-container {
    color: #666;
    font-size: 14px;
    display: inline-grid;
}
.aplayer-panel .ap-title {
    position: relative;
    overflow: hidden;
    padding-right: 80px;
    text-align: left;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.aplayer-panel .ap-time {
    position: absolute;
    top: 8px;
    right: 0;
    color: #999;
}
.aplayer-panel .ap-progress-container {
    padding: 6px 0 10px;
    cursor: pointer;
}
.aplayer-panel .ap-progress {
    position: relative;
    height: 4px;
    border-radius: 3px;
    background: rgba(0,0,0,.1);
}
.aplayer-panel .ap-preload-bar, .aplayer-panel .ap-progress-bar {
    position: absolute;
    left: 0;
    top: 0;
    bottom: 0;
    width: 0;
    border-radius: 5px 0 0 5px;
    background: rgba(0,0,0,.1);
    z-index: 199;
}
.aplayer-panel .ap-progress-bar {
    background: #f9a386;
    z-index: 299;
}
.aplayer-panel .ap-progress-bar:after {
    position: absolute;
    top: 0;
    right: -5px;
    width: 12px;
    height: 12px;
    margin-top: -4px;
    content: '';
    border-radius: 6px;
    background: #f9a386;
    opacity: 0;
    transition: opacity .3s ease;
}
.aplayer-panel .ap-progress-container:hover .ap-progress-bar:after {
    opacity: 1;
}

.aplayer-panel .ap-controls {
    position: relative;
    z-index: 1000;
    display: block;
    height: 40px;
    min-width: 40px;
    padding: 5px;
    line-height: 1;
    cursor: pointer;
    transition: background .2s ease;
    text-align: center;
    color: #666;
    border: 0;
    border-radius: 8px;
    outline: 0;
    background: none;
}
.aplayer-panel .ap-controls:hover, .aplayer-panel .ap-volume-container:hover .ap-controls {
    color: #333;
    background: rgba(0,0,0,.05);
}
.aplayer-panel .ap-controls:active {
    background: rgba(0,0,0,.1);
}
.aplayer-panel .ap--playback > .ap-controls, .aplayer-panel .ap--settings > .ap-controls {
    flex: 0 25%;
}
.aplayer-panel .ap-volume-container {
    position: relative;
    border-radius: 8px;
    z-index: 599;
}
.aplayer-panel .ap-volume {
    position: absolute;
    right: 0;
    bottom: 40px;
    overflow: hidden;
    width: 40px;
    height: 0;
    visibility: hidden;
    transition: height .2s cubic-bezier(0.17, 0.72, 0.26, 1.23);
    background-color: rgba(255,255,255,.85);
    border: 1px solid #ddd;
    border-radius: 4px;
    z-index: 699;
}
.aplayer-panel .ap-volume-btn {
    display: block;
    text-align: center;
    width: 100%;
}
.aplayer-panel .ap-volume-container:hover .ap-volume {
    height: 120px;
    visibility: visible;
}
.aplayer-panel .ap-volume-progress {
    display: block;
    width: 6px;
    height: 100px;
    margin: 10px auto;
    background: rgba(0,0,0,.2);
    position: relative;
    border-radius: 4px;
}
.aplayer-panel .ap-volume-bar {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    background: #f9a386;
    height: 50%;
    border-radius: 3px;
}

@media(max-width: 640px) {
.box-title h1.title {
    font-size: 18px;
    line-height: 24px;
}
.aplayer-panel .ap-item {
    padding: 0 5px;
}
.thumb-container .overlay {
    font-size: 12px;
}
.thumb-container .overlay .fa-3x {
    font-size: 2em;
}
}

